Bug 622542 - Xorg failures on machines using intel video card driver
Xorg failures on machines using intel video card driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Mauro Carvalho Chehab
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 13:08 EDT by ritz
Modified: 2013-07-04 18:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 06:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vt-devfs - patch based on upstream code (2.25 KB, patch)
2010-08-09 13:09 EDT, ritz
no flags Details | Diff
vt-ioctl-race-fix - patch based on upstream code (1.67 KB, patch)
2010-08-09 13:10 EDT, ritz
no flags Details | Diff
Script to start Xorg on every 12s (308 bytes, application/x-sh)
2010-12-06 16:58 EST, Mauro Carvalho Chehab
no flags Details
Script to check the logs, in order to check if something is wrong (135 bytes, application/x-sh)
2010-12-06 17:01 EST, Mauro Carvalho Chehab
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1065 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.7 kernel security and bug fix update 2011-07-21 05:21:37 EDT

  None (edit)
Comment 1 ritz 2010-08-09 13:09:37 EDT
Created attachment 437652 [details]
vt-devfs - patch based on upstream code

thanks to ofourdan for tracing this.
Comment 2 ritz 2010-08-09 13:10:50 EDT
Created attachment 437653 [details]
vt-ioctl-race-fix - patch based on upstream code

thanks to ofourdan for tracing this.
Comment 4 Mauro Carvalho Chehab 2010-12-01 03:42:59 EST
How did you made the tests to track the bug? Is there any script available for it?
Comment 5 Mauro Carvalho Chehab 2010-12-01 03:43:45 EST
How did you make the tests to track the bug? Is there any script available for it?
Comment 6 Rodrigo A B Freire 2010-12-06 11:02:02 EST
Oi Mauro,

We tested this way:
1) Install [the brewed kernel] on a test system (a kvm machine is fine, I have been able to reproduce on a virtual machine in kvm here)
2) test with the script:

   # cat testx.sh 

   #!/bin/bash
   DATE=`date +%j%H%M`
   mkdir -p /root/xorglogs_restartx
   cp /var/log/Xorg.0.log /root/xorglogs_restartx/Xorg.0.log.$DATE
   cp /var/log/Xorg.0.log.old /root/xorglogs_restartx/Xorg.0.log.old.$DATE
   /sbin/init 3
   /sbin/init 5
   exit 0

Run from within a loop, something like:

   # while $(/bin/true); do sh testx.sh; sleep 30; done

3) And check for the error:

xf86OpenConsole: Cannot open virtual console ? (Input/output error) 

   # grep console /root/xorglogs_restartx/*
Comment 9 Mauro Carvalho Chehab 2010-12-06 16:58:25 EST
Created attachment 465076 [details]
Script to start Xorg on every 12s

This is a script based on Rodrigo's script. I opted to just re-start Xorg, instead of doing init 3/init 5 to speedup the X restarts.
Comment 10 Mauro Carvalho Chehab 2010-12-06 17:01:41 EST
Created attachment 465078 [details]
Script to check the logs, in order to check if something is wrong

This script does the other part of the test: prints the number of found errors versus the amount of time Xorg were called.

I left it ran the entire day on my test machines. The result, with the fixed kernel, is:

Errors: 0/1110

(script stopped on an arbitrary number).

So, it seems that the errors don't occur with the patched kernel.
Comment 11 RHEL Product and Program Management 2011-02-04 15:31:17 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 17 RHEL Product and Program Management 2011-03-21 01:25:08 EDT
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.
Comment 19 Chris Williams 2011-03-21 11:10:49 EDT
Reopening and flagging for 5.8
Comment 20 Jarod Wilson 2011-05-06 14:40:59 EDT
Patches have been posted for some time, moving BZ to POST. We'll be getting this into 5.7 in just a moment.
Comment 22 Jarod Wilson 2011-05-13 18:18:53 EDT
Patch(es) available in kernel-2.6.18-261.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5
Detailed testing feedback is always welcomed.
Comment 27 errata-xmlrpc 2011-07-21 06:11:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1065.html

Note You need to log in before you can comment on or make changes to this bug.